#Copyright (C) 2005 by Dr. Dieter Maurer <dieter@handshake.de> -- see LICENSE.txt
#       $Id: __init__.py,v 1.1 2005/05/27 10:21:52 dieter Exp $
'''Package resources.

Package relative resource access.
See ``doc.rst`` for details.
'''

# Functions working with both filesystem and 'pypackage:' references
from pypackage import open, execfile, stat, listdir, glob, getLocation

# Form a package Url
from pypackage import getPackageUrl

# Alternative for 'os.path' handling 'pypackage:' (and filesystem) references
import path

# Patch Python to make 'pypackage' access transparent
from MonkeyPatch import patchPython
