#Copyright (C) 2005 by Dr. Dieter Maurer <dieter@handshake.de> -- see LICENSE.txt
#       $Id: util.py,v 1.1 2005/05/27 10:21:52 dieter Exp $
'''Utilities.'''

prefix = '_pyp_builtin__'


def patch(module, attr, source):
    '''patch *attr* of *module* with that found in *source*.'''
    ba = prefix + attr
    if not hasattr(module, ba):
        setattr(module, ba, getattr(module, attr))
    setattr(module, attr, getattr(source, attr))


def getBuiltin(module, attr):
  av = getattr(module, prefix + attr, module)
  if av is module: av = getattr(module, attr)
  return av

def unpatch(*modules):
  pl = len(prefix)
  for mod in modules:
    md = mod.__dict__
    for k in md.keys():
      if k.startswith(prefix): md[k[pl:]] = md[k]; del md[k]

                              
      
